XHTMLSerializer (Other Classes)
Date: 2016-02-03

org.apache.xml.serialize

## Class XHTMLSerializer

- java.lang.Object
- - org.apache.xml.serialize.BaseMarkupSerializer
  - - org.apache.xml.serialize.HTMLSerializer
    - - org.apache.xml.serialize.XHTMLSerializer

- All Implemented Interfaces:
    DOMSerializer, Serializer, org.xml.sax.ContentHandler, org.xml.sax.DocumentHandler, org.xml.sax.DTDHandler, org.xml.sax.ext.DeclHandler, org.xml.sax.ext.LexicalHandler

  Deprecated.
  This class was deprecated in Xerces 2.6.2. It is recommended that new applications use JAXP's Transformation API for XML (TrAX) for serializing XHTML. See the Xerces documentation for more information.

      public class XHTMLSerializer
      extends HTMLSerializer

  Implements an XHTML serializer supporting both DOM and SAX pretty serializing. For usage instructions see either `Serializer` or `BaseMarkupSerializer`.
  Version:
    $Revision: 447253 $ $Date: 2006-09-18 01:32:50 -0400 (Mon, 18 Sep 2006) $
  Author:
    Assaf Arkin
  See Also:
    `Serializer`

- - ### Field Summary

    - ### Fields inherited from class org.apache.xml.serialize.HTMLSerializer

      `XHTMLNamespace`

    - ### Fields inherited from class org.apache.xml.serialize.BaseMarkupSerializer

      `_docTypePublicId, _docTypeSystemId, _encodingInfo, _format, _indenting, _prefixes, _printer, _started, fCurrentNode, fDOMError, fDOMErrorHandler, fDOMFilter, features, fStrBuffer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XHTMLSerializer()` Deprecated. Constructs a new serializer.
    `XHTMLSerializer(OutputFormat format)` Deprecated. Constructs a new serializer.
    `XHTMLSerializer(java.io.OutputStream output, OutputFormat format)` Deprecated. Constructs a new serializer that writes to the specified output stream using the specified output format.
    `XHTMLSerializer(java.io.Writer writer, OutputFormat format)` Deprecated. Constructs a new serializer that writes to the specified writer using the specified output format.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setOutputFormat(OutputFormat format)` Deprecated. Specifies an output format for this serializer.

    - ### Methods inherited from class org.apache.xml.serialize.HTMLSerializer

      `characters, characters, endElement, endElement, endElementIO, escapeURI, getEntityRef, serializeElement, setXHTMLNamespace, startDocument, startElement, startElement`

    - ### Methods inherited from class org.apache.xml.serialize.BaseMarkupSerializer

      `asContentHandler, asDocumentHandler, asDOMSerializer, attributeDecl, checkUnboundNamespacePrefixedNode, cleanup, comment, comment, content, elementDecl, endCDATA, endDocument, endDTD, endEntity, endNonEscaping, endPrefixMapping, endPreserving, enterElementState, externalEntityDecl, fatalError, getElementState, getPrefix, ignorableWhitespace, internalEntityDecl, isDocumentState, leaveElementState, modifyDOMError, notationDecl, prepare, printCDATAText, printDoctypeURL, printEscaped, printEscaped, printText, printText, processingInstruction, processingInstructionIO, reset, serialize, serialize, serialize, serializeNode, serializePreRoot, setDocumentLocator, setOutputByteStream, setOutputCharStream, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startNonEscaping, startPrefixMapping, startPreserving, surrogates, unparsedEntityDecl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XHTMLSerializer

          public XHTMLSerializer()

      Deprecated.
      Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

    - #### XHTMLSerializer

          public XHTMLSerializer(OutputFormat format)

      Deprecated.
      Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

    - #### XHTMLSerializer

          public XHTMLSerializer(java.io.Writer writer,
                         OutputFormat format)

      Deprecated.
      Constructs a new serializer that writes to the specified writer using the specified output format. If `format` is null, will use a default output format.
      Parameters:
        `writer` - The writer to use
        `format` - The output format to use, null for the default

    - #### XHTMLSerializer

          public XHTMLSerializer(java.io.OutputStream output,
                         OutputFormat format)

      Deprecated.
      Constructs a new serializer that writes to the specified output stream using the specified output format. If `format` is null, will use a default output format.
      Parameters:
        `output` - The output stream to use
        `format` - The output format to use, null for the default

  - ### Method Detail

    - #### setOutputFormat

          public void setOutputFormat(OutputFormat format)

      Deprecated.
      Description copied from interface: `Serializer`
      Specifies an output format for this serializer. It the serializer has already been associated with an output format, it will switch to the new format. This method should not be called while the serializer is in the process of serializing a document.
      Specified by:
        `setOutputFormat` in interface `Serializer`
      Overrides:
        `setOutputFormat` in class `HTMLSerializer`
      Parameters:
        `format` - The output format to use

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.